Summary: X Scrabble
Name: xscrabble
Version: 1.0
Release: 1
Source: http://www.belgarath.demon.co.uk/programs/xscrabble.tar.gz
Copyright: unknown
Group: Amusements/Games
Patch: xscrabble.patch
URL: http://www.belgarath.demon.co.uk/programs/index.html#XScrabble
BuildRoot: /var/tmp/xscrabble-root

%description
This is an excellent reproduction of the famous Milton-Bradley
game Scrabble. The graphics are superb and the gameplay second
to none. This version includes the OSPD3 dictionary so you get
competition style rulings on legal Scrabble words.

You can play by yourself, against computer 'bots, or play with
friends over the network. You can even play xscrabble over the
Internet (if you're clever with DISPLAY settings). This game's
addictive and fun, so be sure to install it!

%prep
%setup -q -n xscrabble
%patch -p1 -b .mike

%build
xmkmf -a
make

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/usr/X11R6/bin/
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/lib/X11/app-defaults
mkdir -p $RPM_BUILD_ROOT/var/lib/games/
install -m 755 -d $RPM_BUILD_ROOT/usr/X11R6/lib/X11/xscrabble
install -m 755 src/xscrab $RPM_BUILD_ROOT/usr/X11R6/bin/xscrab
install -m 755 src/xscrabble $RPM_BUILD_ROOT/usr/X11R6/bin/xscrabble
install -m 644 OSPD3.gz $RPM_BUILD_ROOT/usr/X11R6/lib/X11/xscrabble
install -m 644 scrabble_permutations $RPM_BUILD_ROOT/usr/X11R6/lib/X11/xscrabble
install -m 644 XScrabble.ad $RPM_BUILD_ROOT/usr/X11R6/lib/X11/app-defaults/XScrabble
install -m 644 xscrabble.scores $RPM_BUILD_ROOT/var/lib/games/xscrabble.scores

%clean 
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc CHANGES README
/usr/X11R6/bin/xscrab
/usr/X11R6/bin/xscrabble
/usr/X11R6/lib/X11/xscrabble
/usr/X11R6/lib/X11/app-defaults/XScrabble
/var/lib/games/xscrabble.scores
